import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { NewLaunchMaster } from '../models';
import { NewLaunchMasterRepository } from '../repositories';
export declare class NewlaunchmasterController {
    newLaunchMasterRepository: NewLaunchMasterRepository;
    constructor(newLaunchMasterRepository: NewLaunchMasterRepository);
    create(newLaunchMaster: Omit<NewLaunchMaster, 'newLaunchId'>): Promise<NewLaunchMaster>;
    count(where?: Where<NewLaunchMaster>): Promise<Count>;
    find(filter?: Filter<NewLaunchMaster>): Promise<NewLaunchMaster[]>;
    updateAll(newLaunchMaster: NewLaunchMaster, where?: Where<NewLaunchMaster>): Promise<Count>;
    findById(id: number, filter?: FilterExcludingWhere<NewLaunchMaster>): Promise<NewLaunchMaster>;
    updateById(id: number, newLaunchMaster: NewLaunchMaster): Promise<void>;
    replaceById(id: number, newLaunchMaster: NewLaunchMaster): Promise<void>;
    deleteById(id: number): Promise<void>;
}
